'---------------------------------------------------------------------------
' Test:         COMPAT1.BAS
'
'               Copyright (C) 1990, Microsoft Corporation
'
' General:      Compatibility Testing
'
' Specific:     SCREEN, WIDTH, CIRCLE, CHAIN
'
' Secondary:    File I/O
'
' Products:     QB4, QB4.5, BC6, QBASIC
'
'---------------------------------------------------------------------------
' Purpose:      Check the Video Display Adaptor
'
' Scenarios:    1. Check the expected screen mode/width combinations for
'                  an MDPA, CGA, EGA, VGA, MCGA, HERCULES, or OLIVETTI
'                  video adaptors.
'---------------------------------------------------------------------------
' Dependencies: User or command line switch.
'
' Method:       QBASIC COMPAT
'
'---------------------------------------------------------------------------
' Revision History:
'
'       [ 0]    01-Sep-1988         Created by jimfu
'       [ 1]    25-May-1990         Added Chain to Compat testing
'---------------------------------------------------------------------------


PRINT #1, "CHAIN PASSED"
CLOSE #1

PRINT
PRINT "Please verify that these drives are indeed connected."
PRINT
PRINT "The CHAIN test behaved as expected"
BEEP
PRINT
PRINT "        PRESS ANY KEY TO CONCLUDE TEST"
IF Manual THEN SLEEP
SYSTEM

