@echo off
goto parms
:info
echo DOS 5.0 Hardware Compatibility Test
echo ===================================
echo FMT_TEST test script
echo -----------------------------------
echo tests FORMAT using all disk sizes.
:usage
echo usage:  FMT_TEST [?] 5.25drive: 3.5drive:
echo       /?           help information
echo       5.25drive   drive for 5.25" disks  ('-' indicates not supported)
echo       3.5drive    drive for 3.5" disks   ('-' indicates not supported)
goto end
:parms
if "%1" == "/?" goto info
if "%1" == "" goto usage
if "%2" == "" goto usage


if "%1" == "-" goto f720
echo testing format with 160KB 5.25" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f180
@echo on
format %1 /s /f:160
@echo off

:f180
echo testing format with 180KB 5.25" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f320
@echo on
format %1 /s /f:180
@echo off

:f320
echo testing format with 320KB 5.25" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f360
@echo on
format %1 /s /f:320
@echo off

:f360
echo testing format with 360KB 5.25" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f1200
@echo on
format %1 /s /f:360
@echo off

:f1200
echo testing format with 1.2 MB 5.25" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f720
@echo on
format %1 /s /f:1.2M
@echo off

:f720
if "%2" == "-" goto end
echo testing format with 720KB 3.5" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f1440
@echo on
format %2 /s /f:720
@echo off

:f1440
echo testing format with 1.44 MB 3.5" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto f2880
@echo on
format %2 /s /f:1.44M
@echo off

:f2880
echo testing form with 2.88 MB 3.5" floppy
ync /c yn "is this disk type supported?"
if errorlevel 1 goto end
@echo on
format %2 /s /f:2.88M
@echo off

:end
echo on
